#ifndef LIBREWORKFILE_H
#define LIBREWORKFILE_H

#include <pwd.h>
#include <shadow.h>
#include <grp.h>
#include <string.h>

#include <QFileInfo>
#include <QFile>
#include <QString>
#include <QByteArray>

#include "constants.h"
#include "logger.h"

class LibreworkFile
{
public:
	static struct passwd * readPasswdConf( QString name );
	static struct spwd * readShadowConf( QString name );
	static struct group * readGroupConf( QString name );
	static QString getName( uid_t uid );
	static QString getGroupName( gid_t gid );
	static QString getLine( int lineNumber );
};

#endif
